Subject: bug#22763: 25.1.50; Feature Request -- A faster method to obtain line number at position.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Feb 2021 21:52:07 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 07 Feb 2021 20:46:37 +0100
> 
> > In my benchmarks some years ago it was about twice slower, not 10
> > times.
> 
> Perhaps memchr has gotten faster over the years?

No, it was fast then as well (due to inlining, AFAIR).

I think the main factor is the file used to benchmark this stuff.  I
don't remember what I used.